### Constructor

# Panel Settings new_relocatable

#### Declaration [src]

    PanelSettings*
    panel_settings_new_relocatable (
      const char* identifier,
      const char* schema_id,
      const char* schema_id_prefix,
      const char* path_prefix,
      const char* path_suffix
    )

#### Description

No description available.

#### Parameters

`identifier`

  Type: `const char*`

  No description available.

  The data is owned by the caller of the function.
  The value is a NUL terminated UTF-8 string.

`schema_id`

  Type: `const char*`

  No description available.

  The data is owned by the caller of the function.
  The value is a NUL terminated UTF-8 string.

`schema_id_prefix`

  Type: `const char*`

  No description available.

  The data is owned by the caller of the function.
  The value is a NUL terminated UTF-8 string.

`path_prefix`

  Type: `const char*`

  No description available.

  The data is owned by the caller of the function.
  The value is a NUL terminated UTF-8 string.

`path_suffix`

  Type: `const char*`

  No description available.

  The data is owned by the caller of the function.
  The value is a NUL terminated UTF-8 string.

#### Return value

Type: `PanelSettings`

No description available.

The caller of the function takes ownership of the data, and is responsible for freeing it.